Method: featuredContentPlaybooks.install

Full name: projects.locations.instances.contentHub.featuredContentPlaybooks.install

Installs a FeaturedContentPlaybook into the SecOps instance. Use this method to deploy a curated playbook to one or more environments, making it available for local customization and execution.

HTTP request

POST https://{endpoint}/v1alpha/{name}:install

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The resource name of the FeaturedContentPlaybook to install. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub/featuredContentPlaybooks/{featuredContentPlaybook}:install

Request body

The request body contains data with the following structure:

JSON representation
{
  "environments": [
    string
  ]
}
Fields
environments[]

string

Required. The environments to install the playbook to.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.